### Method

# GtkSource StyleSchemeManager get_scheme

#### Declaration [src]

    GtkSourceStyleScheme*
    gtk_source_style_scheme_manager_get_scheme (
      GtkSourceStyleSchemeManager* manager,
      const gchar* scheme_id
    )

#### Description [src]

Looks up style scheme by id.

#### Parameters

`scheme_id`

  Type: `const gchar*`

  Style scheme id to find.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkSourceStyleScheme`

A `GtkSourceStyleScheme` object. The returned value is owned by `manager` and must not be unref’ed.

The returned data is owned by the instance.
The return value can be `NULL`.